/*
Copyright (c) 2015 Red Hat, Inc.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package org.ovirt.engine.sdk4.internal.services;

import org.ovirt.engine.sdk4.Error;
import org.ovirt.engine.sdk4.Service;
import org.ovirt.engine.sdk4.internal.HttpConnection;
import org.ovirt.engine.sdk4.services.EngineKatelloErrataService;
import org.ovirt.engine.sdk4.services.KatelloErratumService;

public class EngineKatelloErrataServiceImpl extends ServiceImpl implements EngineKatelloErrataService {
    
    public EngineKatelloErrataServiceImpl(HttpConnection connection, String path) {
        super(connection, path);
    }
    
    public KatelloErratumService katelloErratumService(String id) {
        return new KatelloErratumServiceImpl(getConnection(), getPath() + "/" + id);
    }
    
    public Service service(String path) {
        if (path == null) {
            return this;
        }
        
        int index = path.indexOf('/');
        if (index == -1) {
            return katelloErratumService(path);
        }
        return katelloErratumService(path.substring(0, index)).service(path.substring(index + 1));
    }
    
    public String toString() {
        return "EngineKatelloErrataService:" + getPath();
    }
    
}

